---
setup:
- skip:
    features:
    - "headers"
    - "allowed_warnings_regex"
---
Test get SSL certificates:
- do:
    ssl.certificates: {}
    headers:
      Content-Type: "application/vnd.elasticsearch+json;compatible-with=8"
      Accept: "application/vnd.elasticsearch+json;compatible-with=8"
    allowed_warnings_regex:
    - ".*rollup functionality will be removed in Elasticsearch.*"
    - "Index \\[\\.profiling-.*\\] name begins with a dot.* and will not be allowed\
      \ in a future Elasticsearch version."
    - "Parameter \\[default_metric\\] is deprecated and will be removed in a future\
      \ version"
- length:
    $body: 1
- match:
    $body.0.path: "testnode.crt"
- match:
    $body.0.format: "PEM"
- match:
    $body.0.has_private_key: true
- match:
    $body.0.issuer: "CN=Elasticsearch Test Node, OU=elasticsearch, O=org"
